#include <iostream>
#include <vector>

class LambdaTest0 {
public:
  LambdaTest0(int wert) 
    : attribut(wert) 
  {}

  auto get() const { return attribut; }

  void func(int n)
  {
    auto f = [=, this]()  // gleichbedeutende, aber nicht empfohlene Schreibweise: [=]
             { 
               attribut = n;                 // ändert attribut!
             };                              // n ist nicht änderbar
    f();                                     // Aufruf
  }

private:
  int attribut;
};

int main()
{
  LambdaTest0 test(1);
  std::cout << test.get() << '\n';
  test.func(2);
  std::cout << test.get() << '\n';
}

