#include <iostream>
#include <string_view>
#include "Generator.h"

Generator<std::string_view> funktion()
{
  int i {0};
  std::cout << "warten auf " << ++i << ". resume()" << std::endl;
  co_yield "Erstes Ergebnis";
  std::cout << "warten auf " << ++i << ". resume()" << std::endl;
  co_yield "Letztes Ergebnis";
  co_return "ENDE";
}

int main() 
{
  auto g = funktion();
  int i = 0;
  while(g.resume()) {
    std::cout << ++i << ": " << g.current_value() << '\n';
  }
  std::cout << g.current_value() << '\n';
}

