.PHONY: all clean

CXX := g++
CXXFLAGS := -c -g -Wall
LDFLAGS := -g
objs := $(patsubst %.cpp,%.o,$(wildcard *.cpp))
HEADERS := $(wildcard *.h)

all: projekt.exe

projekt.exe: $(objs) 
	$(CXX) $(LDFLAGS) -o $@ $^

%.o: %.cpp $(HEADERS)   # (noch) nicht optimal, s. Text
	$(CXX) $(CXXFLAGS) $<

clean:
	rm -f $(objs)

