#include <iostream>

void print()                                // freie und globale Funktion
{  
  std::cout << "globales print()\n"; 
}

namespace A {
void print()                                // freie Funktion in Namespace A
{ 
  std::cout << "A::print()\n"; 
}
  namespace B {                             // innerhalb von A
  void print()                              // freie Funktion in Namespace B
  {
    std::cout << "A::B::print()\n"; 
  }
  }                                         // Ende von Namespace B
}                                           // Ende von Namespace A

int main()
{                                           // Aufgerufen wird:
  print();                                  // globale Funktion
  ::print();                                // globale Funktion
  A::print();                               // A::print()
  A::B::print();                            // A::B::print()
  using namespace A;                        // Namespace Voreinstellung
  B::print();                               // A::B::print()
  ::print();                                // globale Funktion
  // print(); // Fehler, weil nicht eindeutig: A::print() oder ::print()?
}

