#include <iostream>
#include <random>

int main()
{
  std::mt19937 zufall;
  std::uniform_real_distribution<double> verteilung(0.0, 1.0);
  constexpr int iterationen{1000000};
  double summe{0.0};
  for (int i = 0; i < iterationen; ++i) {
    summe += verteilung(zufall);
  }
  std::cout << "Mittelwert: " << summe / iterationen << '\n';
}
