#include <filesystem>
#include <iostream>
namespace fs = std::filesystem;

int main(int argc, char* argv[])
{
  if (argc != 2) {
    std::cout << "Datei oder leeres Verzeichnis loeschen. Gebrauch: "
              << argv[0] << " name\n";
  }
  else {
    std::error_code ec;
    bool geloescht {fs::remove(fs::path(argv[1]), ec)};
    if (ec.value() == 0) {
      if (geloescht) {
        std::cout << argv[1] << " wurde gelöscht.\n";
      }
      else {
        std::cout << argv[1] << " existiert nicht.\n";
      }
    } 
    else {
      std::cout << "error_code: Wert: " << ec.value()
                << "  Text: " << ec.message() << '\n';
    }
  }
}
