#include <iostream>
#include <memory>
#include <Ort.h>
#include <vector>

int main()
{
  std::vector<std::shared_ptr<Ort>> vec;
  vec.push_back(std::make_shared<Ort>(3, 4));
  vec.push_back(std::make_shared<Ort>(5, 6));
  vec.push_back(std::make_shared<Ort>(7, 8));
  auto sharedptr2{vec[0]};                  // Kopie eines shared_ptr, zeigt auf 
                                            // dasselbe Objekt wie vec[0]
  sharedptr2->aendern(1, 2);                // ändert das Objekt
  // Alle anzeigen:
  for (auto ortptr : vec) {                 // Kopie ist möglich, da shared_ptr
    std::cout << ortptr->getX() << ' ' << ortptr->getY() << '\n';
  }
}

