#include "C.h"                              // schließt A.h, B.h ein
#include <cassert>
#include <iostream>
using std::cout;

int main()
{
  // Klasse A
  cout << "\nTest 1\n";
  A a(1);
  a.ausgabe();
  cout << '\n';
  auto ca = a.clone();
  cout << "ca nach auto ca = a.clone():\n";
  ca->ausgabe();
  cout << "\n CHECK(a == *ca)\n";
  assert(a == *ca);

  // Klasse B
  cout << "\nTest 2\n";
  B b(1, 2);
  b.ausgabe();
  cout << '\n';
  auto cb = b.clone();
  cout << "cb nach auto cb = b.clone():\n";
  cb->ausgabe();
  cout << "\n CHECK(b == *cb)\n";
  assert(b == *cb);

  // Klasse C
  cout << "\nTest 3\n";
  C c(3, 4, 5);
  c.ausgabe();
  cout << '\n';
  auto cc = c.clone();
  cout << "cc nach auto cc = c.clone():\n";
  cc->ausgabe();
  cout << "\n CHECK(c == *cc)\n";
  assert(c == *cc);
  cout << "Test-Ende\n";
}
