#ifndef CONSUMER_H
#define CONSUMER_H
#include "Ablage.h"
#include <iostream>

class Consumer {
public:
  Consumer(Ablage& a) 
  : ablage(a) 
  {}

  void operator()()
  {
    while (!ablage.istBeendet()) {
      int wert = ablage.get();
      if (!ablage.istBeendet()) {
        std::scoped_lock<std::mutex> lock(ausgabeMutex);
        std::cout << "Consumer hat " << wert << " geholt." << std::endl;
      }
    }
    std::scoped_lock<std::mutex> lock(ausgabeMutex);
    std::cout << "Consumer beendet sich." << std::endl;
  }
private:
  Ablage& ablage;
};
#endif
