#include <iostream>
#include <regex>
#include <string>
#include <showContainer.h>                   // siehe Seite 508

auto split(const std::string& s, const std::string& muster)
{
  std::regex reg(muster);
  auto anfang = std::sregex_iterator(s.begin(), s.end(), reg);
  std::vector<std::string> ergebnis;
  for(auto i = anfang; i  != std::sregex_iterator(); ++i) {
    ergebnis.push_back(i->str());
  }
  return ergebnis;
}

int main()
{
  std::string text("The quick brown,fox jumps.over the lazy dog's back.");
  showContainer(split(text, "[^\\.^,^ ]+"), "", "*\n");
}

