#include <iostream>
#include <charconv>
#include <system_error>
#include <string>
#include <string_view>
#include <array>
 
int main()
{
  char carr[10];                             // genug Platz vorhalten
  auto [p, ec] = std::to_chars(carr, carr + sizeof(carr), 1000);
  if (ec == std::errc()) {
    *p = '\0';                               // Nullbyte setzen
    std::string ergebnis {carr};
    // alternativ
    // std::size_t anzahl = p - carr;
    // std::string ergebnis {carr, anzahl};
    std::cout << ergebnis << '\n';
  }
  else {
    std::cout << "Fehler\n";
  }
}
