#include <iostream>
#include <locale>
using namespace std;

int main()
{
  locale loc;          // Kopie des aktuellen globalen locale-Objekts
  char dezPunkt = use_facet<numpunct<char>>(loc).decimal_point();
  cout << "Dezimalpunkt = " << dezPunkt << '\n';
  // oder
  string wahr = use_facet<numpunct<char>>(loc).truename();
  cout << wahr << '\n';          // Ausgabe:  true

  locale de("en_US");            // standard-locale loc: grouping bleibt
  // leer (Zahlen ohne Tausenderpunkt)
  string grouping = use_facet<numpunct<char>>(de).grouping();
  cout << "grouping() =\n";
  for (char c : grouping) {
    cout << static_cast<int>(c) << '\n';          // 3 3
  }
}

